<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@mipmap/bg_new_main">
    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/layout_ip"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="IP:"/>

        <EditText
            android:id="@+id/et_ip"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:text="192.168.1.253"/>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Port:"/>

        <EditText
            android:id="@+id/et_port"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:text="1030"/>

        <Button
            android:id="@+id/connect"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="connect" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <EditText
        android:id="@+id/et_send_content"
        android:layout_width="match_parent"
        android:layout_height="300dp"
        app:layout_constraintTop_toBottomOf="@id/layout_ip"
        android:hint="输入发送内容"/>

    <Button
        android:id="@+id/send"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Send"
        app:layout_constraintTop_toBottomOf="@id/et_send_content"
        app:layout_constraintLeft_toLeftOf="parent"/>

    <EditText
        android:id="@+id/et_receiver_content"
        android:layout_width="match_parent"
        android:layout_height="300dp"
        app:layout_constraintTop_toTopOf="@id/send"
        android:hint="数据接收区"/>

    <CheckBox
        android:id="@+id/hex"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Hex"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/et_receiver_content"
        />
    <Button
        android:id="@+id/close"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Close"
        android:layout_marginTop="20dp"
        app:layout_constraintTop_toBottomOf="@id/hex"
        app:layout_constraintLeft_toLeftOf="parent"/>


</androidx.constraintlayout.widget.ConstraintLayout>